package game;

import mechanics.DestructionListener;
import calc.V3D;

//Interface for all types of obstacles.
//Instances should add themselves to PataController.addEnemy and they will be removed automatically;
public interface Enemy
	{
	public V3D getPosition();
	public void addDestructionListener(DestructionListener l);
	public void removeDestructionListener(DestructionListener l);
	}
