package game;

import graphics.GFX;
import audio.Audio;
import audio.StupidClip;
import calc.V3D;
import mechanics.Entity;

public class Explosion extends Entity
	{

	public Explosion(V3D pos)
		{
		super(pos);
		StupidClip c = Audio.get("explode"+String.valueOf(1+(int)(Math.random()*2)));
		c.setGain(0.66);
		c.play();
		tex = GFX.tex("explo2");
		setDepth(-50);
		}

	@Override
	public void animationEnd()
		{
		destroy();
		}
	}
