package game;

import calc.V3D;
import mechanics.Entity;

public class Root extends Entity
{
	private	long lastResetTime;
	private int frameCount;
	static int frameRate;
	static int badCount;

	public Root(V3D pos)
	{
		super(pos);
		setDepth(Integer.MIN_VALUE);
		visible = false;

		Menu.readProgress();
		new Menu(pos.clone());
		//new PataController(pos.clone());

		lastResetTime = System.nanoTime();
		frameCount = 0;
		frameRate = -1;
	}
	@Override
	public void step()
	{
		frameCount++;
		long now = System.nanoTime();
		if(now>lastResetTime+1000000000)
		{
			frameRate = frameCount;
			frameCount = 0;
			lastResetTime = now;
			if(frameRate<28)
				badCount++;
			else
				badCount=0;
		}
	}
}
