package game;

import graphics.GFX;
import calc.V3D;
import mechanics.Entity;

public class Stamp extends Entity
	{
	float alpha;
	boolean fade;
	boolean followScreen;
	public Stamp(V3D pos,String tex)
		{
		super(pos);
		setDepth(-100);
		alpha=1;
		fade = true;
		followScreen = false;
		this.tex = GFX.tex(tex);
		orientation = GFX.CENTER;
		}
	@Override
	public void alarm(int index)
		{
		if(index==0)
			fade = true;
		}
	
	
	@Override
	public void step()
		{
		if(fade)
			{
			alpha-=1f/60;
			color[3]=alpha;
			if(alpha<0)
				destroy();
			}
		}
	@Override
	public void render()
		{
		GFX.gl.glPushMatrix();
		if(followScreen)
			GFX.gl.glTranslated(View.x,View.y,0);
		super.render();
		GFX.gl.glPopMatrix();
		}
	}
