package game;

import calc.V3D;
import mechanics.Entity;

public class LevelController0 extends Entity
	{
	int potX;
	int potIndex;
	int nextPotBeat;

	public LevelController0(V3D pos)
		{
		super(pos);
		PataController.setMusicName("Freidus");
		visible = false;
		Scenery.spawn(0, "Tree1");
		Scenery.spawn(200, "Tree2");
		Rock.rockPile(320+640);
		Rock.rockPile(320+800);
		Scenery.spawn(320+800, "House1");
		Scenery.spawn(320+200, "Tree1");
		Scenery.spawn(320+280, "Tree3");
		Scenery.spawn(320+400, "Tree1");
		Scenery.spawn(320+512, "Tree2");
		
		Scenery.spawn(1680, "House3");
		Scenery.spawn(1500, "Tree1");

		Rock.rockPile(1600);

		Scenery.spawn(2000, "House1");
		Scenery.spawn(1900, "Tree1");
		Scenery.spawn(2100, "Tree1");
		Scenery.spawn(2280, "Tree2");
		Scenery.spawn(2400, "House2");
		Rock.rockPile(2300);
		Rock.rockPile(2600);
		
		PataController.goalX = 3000;
		//new Parasprite(new V3D(180,GND_Y-96,0));
		potX = 1600+160;
		potIndex = -1;
		nextPotBeat = -1;
		Scenery.spawnGrass();
		//new Gilda(new V3D(1600,GND_Y-Gilda.RADIUS,0));
		if(!PataController.skipIntro)
			new Intro(V3D.ZERO.clone());
		else
			{
			Intro.spawnSymbols(0);
			Intro.spawnSymbols(1);
			Intro.spawnSymbols(2);
			}
		
		//Overlay.talk("hello");
		//Pinkie.allTwitch();
		}
	@Override
	public void step()
		{
		int beatIndex = (PataController.me.currentBeat%4)+((PataController.me.userInputOdd ^ PataController.me.currentBeat%8<4)?0:4);
		
		if(potIndex==-1 && Pinkie.flagHolder.pos.x()>potX-160)
			{Overlay.talk("I feel strange, get ready to defend..");
			potIndex=0;}
		
		if(PataController.me.currentBeat>=nextPotBeat && nextPotBeat!=-1)
			{
			Pinkie.allTwitch(false);
			for(int i=potIndex-1; i<potIndex+(potIndex-1)*2; i++)
				alarm[i]=2+i*3;
			
			nextPotBeat = -1;
			}
		super.step();
		if(Pinkie.flagHolder.pos.x()>potX && potIndex<3 && beatIndex==4)
			{
			Overlay.talk(null);
			nextPotBeat = PataController.me.currentBeat+10; 
			potX+=320;
			potIndex++;
			Pinkie.allTwitch(true);
			}
		}
	@Override
	public void alarm(int index)
		{
		int ind = 1+(int)(Math.random()*(Pinkie.pinkies.size()-1));
		if(ind <Pinkie.pinkies.size())
			{
			new FlowerPot((int)Pinkie.pinkies.get(ind).pos.x());
			}
		}
	}
