package game;

import graphics.BlendMode;
import graphics.GFX;
import calc.V3D;
import mechanics.Entity;

public class LevelController2 extends Entity
	{
	int eventX;
	int eventIndex;
	int nextEventBeat;

	boolean existed;
	
	public LevelController2(V3D pos)
		{
		super(pos);
		existed = false;
		PataController.setMusicName("McFest");
		PataController.goalX = Integer.MAX_VALUE;
		//new Parasprite(new V3D(180,GND_Y-96,0));
		visible = false;
		//Rock.rockPile(384);
		Scenery s;
		int n = 3;
		for(int i=0; i<n; i++)
			{
			s = Scenery.spawn(0, "FrontSky");
			s.orientation = GFX.SOUTHWEST;
			s.color[3] = 0.5f;
			s.bm = BlendMode.ADD;
			s.pos.p[0] = s.tex.getWidth()*i;
			s.stayInView = s.tex.getWidth()*n;
			s.scaleX = false;
			}
		
		Scenery.spawnGrass();
		
		eventX = 256;
		eventIndex = -1;
		nextEventBeat = -1;
		}
	@Override
	public void step()
		{
		int beatIndex = (PataController.me.currentBeat%4)+((PataController.me.userInputOdd ^ PataController.me.currentBeat%8<4)?0:4);
		
		if(Gilda.me==null && existed)
			{
			PataController.goalX = (int) (View.x+View.width);
			existed = false;
			}
		
		if(PataController.me.currentBeat>=nextEventBeat && nextEventBeat!=-1)
			{
			
			nextEventBeat = -1;
			}
		super.step();
		if(eventX!=-1 && Pinkie.flagHolder.pos.x()>eventX && beatIndex==4)
			{
			//Overlay.talk(null);
			nextEventBeat = PataController.me.currentBeat+10; 
			eventX=-1;
			eventIndex++;
			if(eventIndex==0)
				{
				new Gilda(new V3D(View.x+View.width+96,PataController.GND_Y-Gilda.RADIUS,0));
				Gilda.me.targetX = Pinkie.flagHolder.targetX+192;
				existed = true;
				}
			}
		}
	@Override
	public void alarm(int index)
		{
		
		}
	}
