package game;

import audio.Audio;
import graphics.GFX;
import mechanics.Entity;

public class ThrownFlag extends Entity
	{

	public ThrownFlag()
		{
		super(Pinkie.flagHolder.pos.clone().add(12+4*Pinkie.flagHolder.xScale, 15-32,0));
		Pinkie.flagHolder.thrownFlag = true;
		tex = GFX.tex("Flag");
		speed.set(-2,-4,0);
		image = 2;
		imageSpeed=0;
		orientation = GFX.WEST;
		}

	@Override
	public void step()
		{
		super.step();
		if(pos.y()<PataController.GND_Y)
			{
			speed.p[1]+=0.3;
			angle+=0.2;
			}
		else if(xScale==1)
			{
			xScale=0.25f;
			angle = (float)Math.PI/2;
			pos.y(PataController.GND_Y);
			speed.set(0,0,0);
			Audio.get("clop").play();
			}
		}
	}
